com.sun.j3d.utils.behaviors.interpolators

## Class CubicSplineCurve

- java.lang.Object
- - com.sun.j3d.utils.behaviors.interpolators.CubicSplineCurve

    public class CubicSplineCurve
    extends java.lang.Object

CubicSplineCurve is a container class that holds a number of cubicSplineSegments

Since:
  Java3D 1.1

### Field Summary

Fields
`int` `numSegments`

### Method Summary

Methods
`CubicSplineSegment` `getSegment(int index)` This method returns the CubicSplineSegments pointed to by index
`float` `getTotalCurveLength()` This method returns the total length of the entire CubicSplineCurve motion path.
`void` `setSegments(CubicSplineSegment[] s)` This method takes a list of spline segments to replace the existing set of CubicSplineSegments that comprise the current CubicSplineCurve motion path.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### numSegments

    public int numSegments

### Method Detail

#### setSegments

    public void setSegments(CubicSplineSegment[] s)

This method takes a list of spline segments to replace the existing set of CubicSplineSegments that comprise the current CubicSplineCurve motion path.

Parameters:
  `s` - the list of segments that comprise the complete motion path

#### getSegment

    public CubicSplineSegment getSegment(int index)

This method returns the CubicSplineSegments pointed to by index

Parameters:
  `index` - the index of the CubicSplineSegment required
Returns:
  index the CubicSplineSegment pointed to by index

#### getTotalCurveLength

    public float getTotalCurveLength()

This method returns the total length of the entire CubicSplineCurve motion path.

Returns:
  the length of the CubicSplineCurve motion path